#ifndef __COMMON_H__
#define __COMMON_H__

#define NULL	((void *)0)

#define MIN(a,b)	((a) < (b) ? (a) : (b)) 
#define MAX(a,b)	((a) > (b) ? (a) : (b))

#define _XTAL_FREQ		(8000000)
#define wait_us(x)		__delay_us(x)
#define wait_ms(x)		__delay_ms(x)

void memset(unsigned char *dst, unsigned char ch, unsigned short len);
void memcpy(unsigned char *dst, const unsigned char *src, unsigned short len);
unsigned char memcmp(const char *s, const char *r, unsigned short len);
short strlen(const char *p);

#endif // __COMMON_H__
