#ifndef __LCD_H__
#define __LCD_H__


#define LCD_POS(r,c)	(0x80 | (r*0x40 + c))
#define LCD_LINE(x)	lcd_cmd(LCD_POS(x,0))

void lcd_cmd(unsigned char);
void lcd_putc(unsigned char);
void lcd_clear(void);
void lcd_puts(const char *);
void lcd_init(void);

#define DEBUG_PRINT(x)	{ \
LCD_LINE(0); \
tiny_printf(lcd_putc, "%s", x); \
}

#endif // __LCD_H__
